#ifndef VSliceElement_h
#define VSliceElement_h

#include "GUIelement.h"
#include "VExitBox.h"
#include "VTexture.h"
#include "VSlider.h"

#include <GL/glew.h>
#include <GL/glut.h> 

/*! \brief VSliceElement: Klasse zur Repräsentation des Slice Elements (rechts unten).
*/
class VSliceElement :
	public GUIelement {

	VExitBox * exit;
	VSlider * slider;
	float * bg;
	/*! Textur für die Pfeile */
	VTexture * tex;
	int* sliceNo;
	int count;
	int slice;
	bool dragging;

public:
	/*! Konstruktor
		\param width Breite des Fensters
		\param height Höhe des Fensters
		\param fps Pointer auf fps Wert
	*/
	VSliceElement(int*,int*,unsigned int*, int*);
	~VSliceElement(void);

	void motion(int,int);
	void released(int,int);
	void pressed(int,int);
	void drag(int,int);

	void render(void);
	void draw(void);
	bool isInside(int,int);

	/*! Liefert den Pointer auf den Slidervalue ([0,1]) zurück. */
	float * getSliderValue();
};

#endif